commit: 90f227d0c692f72c54d3983260b942a8d0474194
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 10:17:36 2020 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 10:17:36 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90f227d0
sci-libs/buddy: Port to EAPI 7
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sci-libs/buddy/buddy-2.4-r1.ebuild | 21 +++++++++++++--------
1 file changed, 13 insertions(+), 8 deletions(-)
diff --git a/sci-libs/buddy/buddy-2.4-r1.ebuild
b/sci-libs/buddy/buddy-2.4-r1.ebuild
index c5dfddbbe1e..004107ea6cf 100644
--- a/sci-libs/buddy/buddy-2.4-r1.ebuild
+++ b/sci-libs/buddy/buddy-2.4-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit fortran-2
@@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="buddy"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
-IUSE="doc examples static-libs"
+IUSE="doc examples"
DOCS=( doc/tech.txt )
PATCHES=(
@@ -21,16 +21,21 @@ PATCHES=(
)
src_configure() {
- econf $(use_enable static-libs static)
+ econf --disable-static
}
src_install() {
default
-
- use doc && docinto ps && dodoc doc/*.ps
+ find "${ED}" -name '*.la' -delete || die
if use examples; then
- insinto /usr/share/${PN}/
- doins -r examples
+ find examples/ -name 'Makefile*' -delete || die
+
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ if use doc; then
+ docinto ps
+ dodoc doc/*.ps
fi
}